POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Follow the endpoint-specific flow shown in this page.
Follow the endpoint-specific flow shown in this page.
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVSync2AsyncGetResult
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"byteedit_v2.0"
,
"task_id"
:
"7418049665255653414"
,
"req_json"
:
"{\"logo_info\":{\"add_logo\":true,\"position\":0,\"language\":0,\"opacity\":0.3,\"logo_text_content\":\"This is a visible watermark\"},\"return_url\":true}"
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVSync2AsyncGetResult&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "byteedit_v2.0",
"task_id": "7418049665255653414",
"req_json":"{\"logo_info\":{\"add_logo\":true,\"position\":0,\"language\":0,\"opacity\":0.3,\"logo_text_content\":\"This is a visible watermark\"},\"return_url\":true}"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"binary_data_base64": [],
"image_urls": [
"https://xxx"
],
// provider-specific example normalized for English documentation
"status": "done"
},
"message": "Success",
"request_id": "20240926173705355DAC3521C41B25CBE5",
"status": 10000,
"time_elapsed": "1.616183051s"
}